#2836 closed enhancement (fixed)

Add posix_devctl()

Reported by: Joel Sherrill Owned by: Joel Sherrill
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords: POSIX-Compliance
Cc: Blocked By:
Blocking:

Description (last modified by Joel Sherrill)

The posix_devctl() method is defined in POSIX 1003.26 and required by the FACE POSIX profiles. The only use case that needs to be supported is FIONBIO on sockets per the FACE Technical Standard.

ioctl() is not a standardized method per POSIX and is not included in the FACE Profiles.

Making operations non-blocking can also be done with fcntl() but due to RTOS qualification concerns, fcntl() is not included in the more stringent FACE profiles. Specifically, it is not in the Safety Base profile which matches the RTEMS POSIX capabilities.

This requires adding the <devctl.h> file to newlib. That has been done. I am testing my implementation but a tool update will be needed before this can be pushed to the community. This is OK because we have other reasons to move to a new gcc and newlib version soon.

Change History (5)

comment:1 Changed on Dec 9, 2016 at 4:39:09 PM by Joel Sherrill

Description: modified (diff)

comment:2 Changed on Apr 3, 2017 at 2:08:38 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

The code, tests, and documentation are merged.

comment:3 Changed on Apr 3, 2017 at 11:15:32 PM by Joel Sherrill

Keywords: POSIX-Compliance added

comment:4 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:5 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.